#if !defined(AFX_LOGIN_H__C31E51A4_7DF6_4482_B380_37B327E8612E__INCLUDED_)
#define AFX_LOGIN_H__C31E51A4_7DF6_4482_B380_37B327E8612E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// Login.h : header file
//
/////////////////////////////////////////////////////////////////////////////
// CLogin dialog

class CLogin : public CDialog
{
// Construction
public:
	CLogin(CWnd* pParent = NULL);   // standard constructor
	CLogin(IApplication* pApplication);
// Dialog Data
	//{{AFX_DATA(CLogin)
	enum { IDD = IDD_LOGIN };
	CEdit	m_Cnt_username;
	CEdit	m_cnt_passwd;
	CString	m_UserName;
	CString	m_Password;
	CString m_DomainName;
//	CComboBox m_CmbDomain;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CLogin)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CLogin)
	afx_msg void OnLoginOk();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
 IApplicationPtr pApplication;
 void LoadDomainNames();

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_LOGIN_H__C31E51A4_7DF6_4482_B380_37B327E8612E__INCLUDED_)
